Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Register and verify sending domains
POST /api/v1/domains
curl -X POST https://api.numonic.com/api/v1/domains \ -H "Authorization: Bearer YOUR_JWT" \ -H "Content-Type: application/json" \ -d '{ "domain_name": "yourapp.com" }'
domain_name
yourapp.com
201
{ "tenant_id": "550e8400-e29b-41d4-a716-446655440000", "domain_id": 123, "domain_name": "yourapp.com", "identity_arn": "arn:aws:ses:us-east-1:123456789012:identity/yourapp.com", "dns_records": [ { "type": "TXT", "name": "_amazonses.yourapp.com", "value": "abc123def456..." }, { "type": "CNAME", "name": "abc123._domainkey.yourapp.com", "value": "abc123.dkim.amazonses.com" } ] }
409
CONFLICT
422
VALIDATION_ERROR
GET /api/v1/domains
curl https://api.numonic.com/api/v1/domains \ -H "Authorization: Bearer YOUR_JWT"
200
[ { "domain_id": 123, "tenant_id": "550e8400-e29b-41d4-a716-446655440000", "domain_name": "yourapp.com", "verification_status": "Success", "identity_arn": "arn:aws:ses:us-east-1:123456789012:identity/yourapp.com", "configuration_set_name": "numonic-emails" } ]
Pending
Success
Failed
GET /api/v1/domains/:id
curl https://api.numonic.com/api/v1/domains/123 \ -H "Authorization: Bearer YOUR_JWT"
{ "domain_id": 123, "tenant_id": "550e8400-e29b-41d4-a716-446655440000", "domain_name": "yourapp.com", "verification_status": "Success", "identity_arn": "arn:aws:ses:us-east-1:123456789012:identity/yourapp.com", "configuration_set_name": "numonic-emails", "dns_records": [ { "type": "TXT", "name": "_amazonses.yourapp.com", "value": "abc123def456..." }, { "type": "CNAME", "name": "abc123._domainkey.yourapp.com", "value": "abc123.dkim.amazonses.com" } ] }
404
NOT_FOUND
DELETE /api/v1/domains/:id
curl -X DELETE https://api.numonic.com/api/v1/domains/123 \ -H "Authorization: Bearer YOUR_JWT"
{ "success": true }